Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.events
Class AbstractEvent

    java.lang.Object
      org.apache.batik.dom.events.AbstractEvent

All Implemented Interfaces:
  Cloneable, OriginalEvent, Event

Direct Known Subclasses:
  DOMEvent, DOMMutationEvent, DOMTimeEvent, DOMUIEvent, SVGOMEvent, XBLOMShadowTreeEvent

    public abstract class AbstractEvent

extends Object
implements Event, OriginalEvent, Cloneable

The abstract `Event` root class.

Field Summary
`protected int` | `bubbleLimit` The number of nodes in the document this event will visit during capturing, bubbling and firing at the target.
`protected boolean` | `cancelable` Whether this event is cancelable.
`protected EventTarget` | `currentTarget` The EventTarget whose EventListeners are currently being processed.
`protected List` | `defaultActions` List of default Actionables to run at the end of bubble phase.
`protected short` | `eventPhase` The event phase.
`protected boolean` | `isBubbling` Whether this event is bubbling.
`protected String` | `namespaceURI` Namespace URI of this event.
`protected Event` | `originalEvent` The event from which this event was cloned for sXBL event retargetting.
`protected boolean` | `preventDefault` Whether the default action must be processed.
`protected boolean` | `stopImmediatePropagation` Whether the event propagation must be stopped immediately.
`protected boolean` | `stopPropagation` Whether the event propagation must be stopped after the current event listener group has been completed.
`protected EventTarget` | `target` The target of this event.
`protected long` | `timeStamp` The time the event was created.
`protected String` | `type` The event type.

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Constructor Summary
`AbstractEvent()`

Method Summary
`void` | `addDefaultAction(Runnable rable)` Adds the runnable to the list of default action runnables
`Object` | `clone()` Returns a new Event with the same field values as this object.
`AbstractEvent` | `cloneEvent()` Clones this event and sets the originalEvent field of the new event to be equal to this event.
`int` | `getBubbleLimit()` Returns the bubble limit for this event.
`boolean` | `getBubbles()` DOM: The `bubbles` property indicates whether or not an event is a bubbling event.
`boolean` | `getCancelable()` DOM: The `cancelable` property indicates whether or not an event can have its default action prevented.
`EventTarget` | `getCurrentTarget()` DOM: The `target` property indicates the `EventTarget` whose `EventListeners` are currently being processed.
`List` | `getDefaultActions()` Returns the current list of default action runnables
`boolean` | `getDefaultPrevented()` DOM: Returns whether `preventDefault` has been called on this object.
`short` | `getEventPhase()` DOM: The `eventPhase` property indicates which phase of event flow is currently being evaluated.
`String` | `getNamespaceURI()` Get the namespace URI of this event.
`Event` | `getOriginalEvent()` Gets the event from which this event was cloned.
`EventTarget` | `getTarget()` DOM: The `target` property indicates the `EventTarget` to which the event was originally dispatched.
`long` | `getTimeStamp()` DOM: Used to specify the time (in milliseconds relative to the epoch) at which the event was created.
`String` | `getType()` DOM: The `type` property represents the event name as a string property.
`void` | `initEvent(String eventTypeArg, boolean canBubbleArg, boolean cancelableArg)` DOM: The `initEvent` method is used to initialize the value of interface.
`void` | `initEventNS(String namespaceURIArg, String eventTypeArg, boolean canBubbleArg, boolean cancelableArg)` DOM: Implements `Event.initEventNS(String,String,boolean,boolean)`.
`void` | `preventDefault()` DOM: If an event is cancelable, the `preventDefault` method is used to signify that the event is to be canceled, meaning any default action normally taken by the implementation as a result of the event will not occur.
`void` | `setBubbleLimit(int n)` Set the number of nodse this event will visit.
`void` | `stopImmediatePropagation()` DOM: Stops propagation of this event immediately, even to listeners in the current group.
`void` | `stopPropagation()` DOM: The `stopPropagation` method is used prevent further propagation of an event during event flow.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected String type

  The event type.

### isBubbling

    protected boolean isBubbling

  Whether this event is bubbling.

### cancelable

    protected boolean cancelable

  Whether this event is cancelable.

### currentTarget

    protected EventTarget currentTarget

  The EventTarget whose EventListeners are currently being processed.

### target

    protected EventTarget target

  The target of this event.

### eventPhase

    protected short eventPhase

  The event phase.

### timeStamp

    protected long timeStamp

  The time the event was created.

### stopPropagation

    protected boolean stopPropagation

  Whether the event propagation must be stopped after the current event listener group has been completed.

### stopImmediatePropagation

    protected boolean stopImmediatePropagation

  Whether the event propagation must be stopped immediately.

### preventDefault

    protected boolean preventDefault

  Whether the default action must be processed.

### namespaceURI

    protected String namespaceURI

  Namespace URI of this event.

### originalEvent

    protected Event originalEvent

  The event from which this event was cloned for sXBL event retargetting.

### defaultActions

    protected List defaultActions

  List of default Actionables to run at the end of bubble phase.

### bubbleLimit

    protected int bubbleLimit

  The number of nodes in the document this event will visit during capturing, bubbling and firing at the target. A value of 0 means to let the event be captured and bubble all the way to the document node. This field is used to handle events which should not cross sXBL shadow scopes without stopping or retargetting.

Constructor Detail

### AbstractEvent

    public AbstractEvent()

Method Detail

### getType

    public String getType()

  DOM: The `type` property represents the event name as a string property. The string must be an XML name.

  Specified by:
    `getType` in interface `Event`

### getCurrentTarget

    public EventTarget getCurrentTarget()

  DOM: The `target` property indicates the `EventTarget` whose `EventListeners` are currently being processed.

  Specified by:
    `getCurrentTarget` in interface `Event`

### getTarget

    public EventTarget getTarget()

  DOM: The `target` property indicates the `EventTarget` to which the event was originally dispatched.

  Specified by:
    `getTarget` in interface `Event`

### getEventPhase

    public short getEventPhase()

  DOM: The `eventPhase` property indicates which phase of event flow is currently being evaluated.

  Specified by:
    `getEventPhase` in interface `Event`

### getBubbles

    public boolean getBubbles()

  DOM: The `bubbles` property indicates whether or not an event is a bubbling event. If the event can bubble the value is true, else the value is false.

  Specified by:
    `getBubbles` in interface `Event`

### getCancelable

    public boolean getCancelable()

  DOM: The `cancelable` property indicates whether or not an event can have its default action prevented. If the default action can be prevented the value is true, else the value is false.

  Specified by:
    `getCancelable` in interface `Event`

### getTimeStamp

    public long getTimeStamp()

  DOM: Used to specify the time (in milliseconds relative to the epoch) at which the event was created. Due to the fact that some systems may not provide this information the value of `timeStamp` may be returned. Examples of epoch time are the time of the system start or 0:0:0 UTC 1st January 1970.

  Specified by:
    `getTimeStamp` in interface `Event`

### getNamespaceURI

    public String getNamespaceURI()

  Get the namespace URI of this event.

  Specified by:
    `getNamespaceURI` in interface `Event`

### getOriginalEvent

    public Event getOriginalEvent()

  Gets the event from which this event was cloned.

  Specified by:
    `getOriginalEvent` in interface `OriginalEvent`

### stopPropagation

    public void stopPropagation()

  DOM: The `stopPropagation` method is used prevent further propagation of an event during event flow. If this method is called by any `EventListener` the event will cease propagating through the tree. The event will complete dispatch to all listeners on the current `EventTarget` before event flow stops. This method may be used during any stage of event flow.

  Specified by:
    `stopPropagation` in interface `Event`

### preventDefault

    public void preventDefault()

  DOM: If an event is cancelable, the `preventDefault` method is used to signify that the event is to be canceled, meaning any default action normally taken by the implementation as a result of the event will not occur. If, during any stage of event flow, the `preventDefault` method is called the event is canceled. Any default action associated with the event will not occur. Calling this method for a non-cancelable event has no effect. Once `preventDefault` has been called it will remain in effect throughout the remainder of the event's propagation. This method may be used during any stage of event flow.

  Specified by:
    `preventDefault` in interface `Event`

### getDefaultPrevented

    public boolean getDefaultPrevented()

  DOM: Returns whether `preventDefault` has been called on this object.

  Specified by:
    `getDefaultPrevented` in interface `Event`

### getDefaultActions

    public List getDefaultActions()

  Returns the current list of default action runnables

### addDefaultAction

    public void addDefaultAction(Runnable rable)

  Adds the runnable to the list of default action runnables

### stopImmediatePropagation

    public void stopImmediatePropagation()

  DOM: Stops propagation of this event immediately, even to listeners in the current group.

  Specified by:
    `stopImmediatePropagation` in interface `Event`

### initEvent

    public void initEvent(String eventTypeArg,
                          boolean canBubbleArg,
                          boolean cancelableArg)

  DOM: The `initEvent` method is used to initialize the value of interface. This method may only be called before the `Event` has been dispatched via the `dispatchEvent` method, though it may be called multiple times during that phase if necessary. If called multiple times the final invocation takes precedence. If called from a subclass of `Event` interface only the values specified in the `initEvent` method are modified, all other attributes are left unchanged.

  Specified by:
    `initEvent` in interface `Event`
  Parameters:
    `eventTypeArg` - Specifies the event type. This type may be any event type currently defined in this specification or a new event type.. The string must be an XML name . Any new event type must not begin with any upper, lower, or mixed case version of the string "DOM". This prefix is reserved for future DOM event sets.
    `canBubbleArg` - Specifies whether or not the event can bubble.
    `cancelableArg` - Specifies whether or not the event's default action can be prevented.

### initEventNS

    public void initEventNS(String namespaceURIArg,
                            String eventTypeArg,
                            boolean canBubbleArg,
                            boolean cancelableArg)

  DOM: Implements `Event.initEventNS(String,String,boolean,boolean)`.

  Specified by:
    `initEventNS` in interface `Event`
  Parameters:
    `namespaceURIArg` - Specifies `Event.namespaceURI`, the namespace URI associated with this event, or `null` if no namespace.
    `eventTypeArg` - Refer to the `Event.initEvent()` method for a description of this parameter.
    `canBubbleArg` - Refer to the `Event.initEvent()` method for a description of this parameter.
    `cancelableArg` - Refer to the `Event.initEvent()` method for a description of this parameter.

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Returns a new Event with the same field values as this object.

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

### cloneEvent

    public AbstractEvent cloneEvent()

  Clones this event and sets the originalEvent field of the new event to be equal to this event.

### getBubbleLimit

    public int getBubbleLimit()

  Returns the bubble limit for this event.

### setBubbleLimit

    public void setBubbleLimit(int n)

  Set the number of nodse this event will visit.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.